> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instantiate Template



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json post /api/agent_templates/{template_id}/instantiate
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/agent_templates/{template_id}/instantiate:
    post:
      tags:
        - agent_templates
      summary: Instantiate Template
      operationId: instantiate_template_api_agent_templates__template_id__instantiate_post
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: integer
            title: Template Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplateInstantiateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items: {}
                title: >-
                  Response Instantiate Template Api Agent Templates  Template
                  Id  Instantiate Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TemplateInstantiateRequest:
      properties:
        overrides:
          additionalProperties: true
          type: object
          title: Overrides
        enabled:
          type: boolean
          title: Enabled
          default: false
      type: object
      title: TemplateInstantiateRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````